<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html">
<h:body>

	<ui:composition template="/WEB-INF/faces/template.xhtml">

		<ui:define name="title">#{text['face.product.form.title']}</ui:define>

		<ui:define name="content">
			<h:form styleClass="product_form">
				<div class="tableWrapper">
					<table>
						<tr>
							<td class="label"><h:outputLabel for="name" value="#{text['entity.catalogItem.name']}" /> :</td>
							<td><h:inputText id="name" value="#{catalogController.item.name}" /></td>
						</tr>
						<tr>
							<td class="label"></td>
							<td class="error"><h:message errorClass="errorMessage" for="name" /></td>
						</tr>

						<tr>
							<td class="label"><h:outputLabel for="manufacturer" value="#{text['entity.catalogItem.manufacturer']}" /> :</td>
							<td><h:inputText id="manufacturer" value="#{catalogController.item.manufacturer}" /></td>
						</tr>
						<tr>
							<td class="label"></td>
							<td class="error"><h:message errorClass="errorMessage" for="manufacturer" /></td>
						</tr>

						<tr>
							<td><h:outputLabel for="sku" value="#{text['entity.catalogItem.sku']}" /> :</td>
							<td><h:inputText id="sku" value="#{catalogController.item.sku}" /></td>
						</tr>
						<tr>
							<td></td>
							<td class="error"><h:message errorClass="errorMessage" for="sku" /></td>
						</tr>
					</table>
				</div>
				<div class="enregistrer">
					<h:commandButton value="#{text['face.form.save']}" action="#{catalogController.addNewItem()}" />
				</div>
			</h:form>
		</ui:define>

	</ui:composition>

</h:body>
</html>